/*
 * A restart round plugin for the first round - Version 0.3 beta
 *
 * Name: plugin_ssh_restart
 * Author: Stillsetzhut (stillsetzhut@thh-clan.de)
 * Released: 30/03/05
 *
 *
 * Version 0.1 beta
 *
 * This plugin restarts the first round of a new map after 30
 * seconds. After 10 and 20 seconds it will warning about the
 * restart.
 * 
 * Dieses Plugin startet die erste Runde einer Map neu. Nach 
 * jeweils 20 und 10 Sekunden kuendigt es den Restart an.
 *
 * SSH for adminmod.de. THX to pandi for this idea.
 */

#include <core>
#include <console>
#include <string>
#include <admin>
#include <adminlib>

new STRING_VERSION[MAX_DATA_LENGTH] = "0.1 beta";

public restart_round(Timer,Repeat,HLUser) {
	exec("sv_restartround 1");
	return PLUGIN_CONTINUE;
}

public warn_restart30(Timer,Repeat,HLUser) {
	new Text[MAX_TEXT_LENGTH];
	snprintf(Text,MAX_TEXT_LENGTH,"Resart round in 30 seconds!");
	centersay(Text,10,68,255,125);
	return PLUGIN_CONTINUE;
}

public warn_restart20(Timer,Repeat,HLUser) {
	new Text[MAX_TEXT_LENGTH];
	snprintf(Text,MAX_TEXT_LENGTH,"Resart round in 20 seconds!");
	centersay(Text,10,68,255,125);
	return PLUGIN_CONTINUE;
}

public warn_restart10(Timer,Repeat,HLUser) {
	new Text[MAX_TEXT_LENGTH];
	snprintf(Text,MAX_TEXT_LENGTH,"Resart round in 10 seconds!");
	centersay(Text,15,255,40,44);
	return PLUGIN_CONTINUE;
}

public plugin_init() {
	plugin_registerinfo("SSH's restart Plugin","Restarts the round in the first round",STRING_VERSION);
	set_timer("warn_restart30",5,1);
	set_timer("warn_restart20",15,1);
	set_timer("warn_restart10",25,1);
	set_timer("restart_round",35,1);
	return PLUGIN_CONTINUE;
}